aboutsummaryrefslogtreecommitdiff
path: root/system/fakeroot/fakeroot.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/fakeroot/fakeroot.SlackBuild')
-rw-r--r--system/fakeroot/fakeroot.SlackBuild28
1 files changed, 11 insertions, 17 deletions
diff --git a/system/fakeroot/fakeroot.SlackBuild b/system/fakeroot/fakeroot.SlackBuild
index f5d6816bfa40..8c7839a55a2e 100644
--- a/system/fakeroot/fakeroot.SlackBuild
+++ b/system/fakeroot/fakeroot.SlackBuild
@@ -2,8 +2,8 @@
# Slackware build script for fakeroot
+# Copyright 2024 Andrzej Telszewski, Koszalin
# Copyright 2007-2008 Ferenc Deak <ferenc.deak@gmail.com>
-# Copyright 2018 Andrzej Telszewski, Szczecin
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,8 +26,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=fakeroot
-VERSION=${VERSION:-1.25.3}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-1.36}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -39,9 +39,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -60,29 +57,26 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
else
SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
fi
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
+
rm -rf $PRGNAM-$VERSION
tar xvf $CWD/${PRGNAM}_$VERSION.orig.tar.?z
cd $PRGNAM-$VERSION
-chown -R root:root .
-find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-
-for i in $CWD/patches/* ; do patch -p1 < $i ; done
-./bootstrap
+chown -R root:root .
+chmod -R a-st,u+rwX,go-w+rX .
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -100,7 +94,7 @@ CXXFLAGS="$SLKCFLAGS" \
make
make DESTDIR=$PKG install-exec
-if [ -z "$MANPO" -a -x /usr/bin/po4a ] || [ "$MANPO" = yes ]; then
+if [ -z "${MANPO:-}" -a -x /usr/bin/po4a ] || [ "${MANPO:-}" = yes ]; then
cd doc
po4a -k 0 --rm-backups --variable "srcdir=../doc/" po4a/po4a.cfg
cd ..